// Add fuction
jQuery.fn.dlgOpen = function(callback) {
  this.find('.btn').attr('href','javascript:void(0)');
  if (!this.hasClass('dialogBase')) return false;
  this.stop().fadeIn(500);
  if (callback) callback(this);
  return false;
}
jQuery.fn.dlgClose = function(callback) {
  if (!this.hasClass('dialogBase')) return false;
  this.stop().fadeOut(300);
  if (callback) callback(this);
  return false;
}
// StartUP
$(document).ready(function() { 
  var contentHeight = document.body.scrollHeight > window.innerHeight ? 
    document.body.scrollHeight + 'px' : '100%';
  /*CSS .dialogBase*/ 
  $('div.dialogBase')
    .css('font-family','Arial, Verdana, sans-serif')
    .css('font-size','14px')
    .css('color','#303030')
    .css('position','absolute')
    .css('background-color','rgba(0,0,0,0.7)')
    .css('left','0')
    .css('top','0')
    .css('width','100%')
    .css('height',contentHeight)
    .css('z-index','10000')
    .hide();
  /*CSS .dialog*/ 
  $('div.dialog')
    .css('width','300px')
    .css('border-radius','8px')
    .css('box-shadow','2px 2px 15px #000')
    .css('background','#eee')
    .css('background','-webkit-linear-gradient(top, #ffffff 0%,#cccccc 100%)')
    .css('margin','80px 4px')
    .css('padding','5px');
  /*CSS .action*/ 
  $('div.dialog .action')
    .css('margin-top','10px')
    .css('width','100%')
    .css('text-align','center');
  /*CSS .btn*/ 
  $('div.dialog a.btn')
    .css('display','inline-block')
    .css('width','120px')
    .css('height','18px')
    .css('padding','10px 0px')
    .css('margin','8px 0 0 8px')
    .css('border-radius','5px')
    .css('background-color','#707070')
    .css('overflow','hidden')
    .css('color','white')
    .css('text-align','center')
    .css('text-decoration','none');
  /*CSS .cancel*/ 
  $('div.dialog a.cancel')
    .css('background-color','#a0a0a0');
}); 
